Ticket #41683

SDL2 client: UI not refreshing when the turn ends

Open Date: 2021-03-02 21:07 Last Update: 2021-04-14 03:03

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

In SDL2 client, when the player's turn ends (as "Press Shift+Return" shows up in the bottom right box), the UI behaves weirdly.

1. The child dialogues of city dialogue (such as build selector and governor) cannot be opened. In fact, they will not show up when opened, but they will show up for a second when hitting Esc.

2. Tool-tips cannot disappear when the mouse leaves the hovering button.

i attached a temporary fix. Hope someone can come up with a better one.

Ticket History (3/13 Histories)

2021-03-02 21:07 Updated by: goduck777
  • New Ticket "SDL2 client: UI not refreshing when the turn ends" created
2021-03-02 21:09 Updated by: goduck777
  • File 0001-SDL2-client-force-UI-refresh-when-turn-ends.patch (File ID: 6162) is attached
2021-03-03 10:12 Updated by: cazfi
  • Owner Update from cazfi to (None)
Comment

This is free to take.

I'll have a look a bit later if nobody has taken it before.

2021-03-31 12:34 Updated by: cazfi
2021-04-03 13:38 Updated by: cazfi
Comment

I have not come up with anything better.

That's not to say that I think this solution particularly good looking. That leads me to think that eventually someone will see that call and think it really shouldn't be there, and remove it. So please add a comment describing why it is needed.

2021-04-10 20:13 Updated by: cazfi
Comment

So please add a comment describing why it is needed.

Will you make a new version of the patch?

2021-04-11 12:21 Updated by: None
Comment

I agree this is a temporary fix and not perfect. Unfortunately I don't have time now to dig into it and find a better solution.

But the bug does exist in SDL2 client. I suggest to just leave the ticket open, and hope someone may come up with a better solution later.

2021-04-11 15:34 Updated by: cazfi
Comment

I would be happy to have this temporary fix in place for now if it had the requested comment added. Do you have time to do at least that?

2021-04-12 02:30 Updated by: goduck777
  • File 0001-SDL2-client-force-UI-refresh-when-turn-ends.patch (File ID: 6162) is deleted
2021-04-12 02:30 Updated by: goduck777
Comment

Sure. I added a comment before this show to show its function. See the new attachment.

2021-04-12 11:53 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2021-04-14 03:03 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login